import request from "@/utils/request";

// 专家成果列表
export const expertAchievementList = (params) => {
    return request({
        url: "/app/expert/expertAchievementList",
        method: "GET",
        params,
    });
};

// 专家新增成果
export const insertAchievement = (data) => {
    return request({
        url: "/app/expert/insertExpertAchievement",
        method: "POST",
        data,
    });
};
// 专家成果详情
export const expertAchievementInfo = (params) => {
    return request({
        url: "/app/expert/expertAchievementInfo",
        method: "GET",
        params
    });
};
// 专家修改成果
export const updateExpertAchievement = (data) => {
    return request({
        url: "/app/expert/updateExpertAchievement",
        method: "PUT",
        data
    });
};
// 专家删除成果
export const deleteAchievementByIds = (data) => {
    return request({
        url: `/app/expert/deleteAchievementByIds`,
        method: "DELETE",
        data
    });
};